<template>
  <div class="detalle">
    <BarraBusqueda/>
    <Breadcrumb/>
    <div class="detalle_main">
      <div class="detalle_main-cabecera">
        <div class="detalle_main-cabecera-contenedor_imagen">
          <img class="detalle_main-cabecera-contenedor_imagen-imagen" src="../assets/iphones.jpg">
        </div>   
        <div class="detalle_main-cabecera-detalle">
          <span class="detalle_main-cabecera-detalle-vendidos">Nuevo - 125 vendidos</span>
          <h2 class="detalle_main-cabecera-detalle-titulo">Deco Reverse Sombrero Oxford</h2>
          <h1 class="detalle_main-cabecera-detalle-precio">$1980</h1>
          <button class="detalle_main-cabecera-detalle-boton">Comprar</button>
        </div>
      </div>
      <div class="detalle_main-descripcion">
        <div>
          <h3 class="detalle_main-descripcion-titulo">Descripción del producto</h3>
          <p class="detalle_main-descripcion-detalle">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quo, maiores veniam itaque quaerat sed eaque perferendis nostrum reprehenderit earum cumque eius, repellendus ut quod non iure quos ea quam quis!</p>
        </div>
      </div>
    </div>
    <p>{{ item }}</p>
  </div>
</template>

<script>
// @ is an alias to /src
import BarraBusqueda from "../components/BarraBusqueda.vue";
import Breadcrumb from "../components/Breadcrumb.vue";
import ItemsService from '../../services/ItemsService.js';

export default {
  name: 'detalle',
  components: {
    BarraBusqueda,
    Breadcrumb
  },
  data () {
    return {
      item
    }
  },
  mounted () {
    this.getItems(this.$route.params)
  },
  methods: {
    async getItems (id) {
      const response = await ItemsService.fetchItem(id);
      console.log(response.data);
      this.item = response.data;
    }
  }
}
</script>


<style lang="scss">
  @import "../styles/main.scss";
  .detalle{
    background-color: $light-gray;
    height: 100%;
    &_main{
      background-color: $white;
      margin: 16px 8.33%;
      display: grid;
      grid-template-rows: auto auto;
      grid-row-gap: 32px;
      &-cabecera{
        display: grid;
        grid-template-columns: 70% auto;
        &-contenedor_imagen{
          width: 680px;
          &-imagen{
            object-fit: cover;
            object-position: 50% 50%;
            width: 100%;
            height: 680px;
          }
        }
        &-detalle{
          text-align: left;
          padding-top: 32px;
          &-vendidos{
            font-size: 14px;
          }
          &-titulo{
            font-size: 24px;
            margin-top: 16px;
            font-weight: 700;
          }
          &-precio{
            font-size: 46px;
            margin-top: 32px;
            font-weight: initial;
          }
          &-boton{   
            border: 0;
            border-radius: 4px;
            width: calc(100% - 32px);
            height: 64px;
            font-size: 24px;
            margin-top: 32px;
            background-color: $button;
            color: $white;
          }
        }
      }
      &-descripcion{
        text-align: left;
        padding: 0 32px;
        display: grid;
        grid-template-columns: 70% auto;
        &-titulo{
          font-size: 28px;
          font-weight: initial;
        }
        &-detalle{
          font-size: 16px;
          padding: 32px 0;
          margin: 0;
        }
      }
    }
  }
</style>